#
Prev |  | Next

# statusBar

## Name

statusBar -- A widget which reports messages of minor importance to the user.

## Synopsis

statusBar [`-option` `value`...]

## Screenshot

## Options

-resizeGrip

  type: boolean (default: 0)

  Whether the the statusbar has a handle to resize the parent window.

-visible

  type: boolean (default: 1)

  Whether or not the item is visible.

-name

  type: string

  Name of the widget, can be used to set options in an rc file.

## Description

A statusbar is usually placed at the bottom of a window and reports messages of minor importance to the user. The statusbar maintains several stacks, which are identified by a context number, with messages. The message last pushed will be visible. Via pop the last message pushed onto this stack will be removed. If this message was the one to be displayed, the message below it will be shown.

## Commands

`id` push `text` [`-option` `value`...]

  Pushes a new message onto a statusbar's stack. Returns an integer as message ID.

  Options

  -context

    type: integer (default: 0)

    Which stack is chosen.

`id` pop [`-option` `value`...]

  Pops the last message of a statusbar's stack.

  Options

  -context

    type: integer (default: 0)

    Which stack is chosen.

`id` remove `msgID` [`-option` `value`...]

  Removes message ID msgID from a statusbar's stack.

  Options

  -context

    type: integer (default: 0)

    Which stack is chosen.

`id` addBegin `list-of-widget-Ids` [`-option` `value`...]

  Add widgets at the left of the statusBar.

  Options

  -expand

    type: boolean (default: 0)

    Whether the widgets allocate the horizontal free space.

  -fill

    type: boolean (default: 1)

    Determines whether the allocated space is actually used.

  -padding

    type: integer or one of small, normal or big (default: NORMAL)

    Space in pixel between the widgets.

`id` add `list-of-widget-Ids` [`-option` `value`...]

  Synonym for addBegin.

`id` addEnd `list-of-widget-Ids` [`-option` `value`...]

  Add widgets at the right of the statusBar. The same options as in the add command are valid.

`id` delete

  Deletes the widget and the associated tcl command.

`id` configure [`-option` `value`...]

  Configures the widget. Option may have any of the values accepted on creation of the widget.

## Example

    set bar [gnocl::statusBar]
    $bar push "This is Gnocl"
    gnocl::window -title "StatusBar" -child $bar

results in

## See also

`GtkStatusbar`

Prev | Home | Next
progressBar | Up | menuBar